MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001519XdebugFeature/Change requestpublic2018-01-18 20:372018-09-20 08:33
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.0beta1 
Target Version2.7.0devFixed in Version2.7.0beta1 
Summary0001519: PHP 7.3 support
DescriptionCurrently, Xdebug does not compile with PHP 7.3 any more, and the code base needs to be upgraded to support this. This is a tracking ticket to collate all the necessary changes. And there is a branch already as well.
TagsNo tags attached.
Operating System
PHP Version7.3-dev
Attached Files

- Relationships

-  Notes
(0004695)
ildar (reporter)
2018-08-29 13:19

Hello,

I have voted for the ticket.
Just tried to compile php-7.3.0beta3 with no luck on branches master/xdebug_2_6

Thank you.
(0004696)
ildar (reporter)
2018-08-29 13:21

Could you please fix it at least in GIT version.
(0004697)
derick (administrator)
2018-08-29 13:24

I have started work on this, but there are a few issues to sort out. It is not as easy as it looks :-) I'm working on this in the https://github.com/derickr/xdebug/tree/PHP-7.3-support [^] branch
(0004698)
derick (administrator)
2018-09-08 20:26

Right now, everything besides code coverage with CATCH is functional, and merged into master. There is a Xdebug 2.7.0alpha2 tag as well, which I'll release soon.

- Issue History
Date Modified Username Field Change
2018-01-18 20:37 derick New Issue
2018-01-29 21:51 derick Assigned To => derick
2018-01-29 21:51 derick Status new => confirmed
2018-08-29 13:19 ildar Note Added: 0004695
2018-08-29 13:21 ildar Note Added: 0004696
2018-08-29 13:24 derick Note Added: 0004697
2018-09-08 20:26 derick Note Added: 0004698
2018-09-20 08:33 derick Status confirmed => closed
2018-09-20 08:33 derick Resolution open => fixed
2018-09-20 08:33 derick Fixed in Version => 2.7.0beta1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker